Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetBoolean

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetBoolean

All Implemented Interfaces:
  jet.controls.Integerable, jet.convert.BooleanInfo, jet.convert.PropInfo, jet.util.Propertiable

    public class JetBoolean

extends JetProperty
implements jet.controls.Integerable, jet.convert.BooleanInfo

JetBoolean is for saving/retrieving a boolean value.

The default value is always false.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetBoolean()`
`JetBoolean(jet.controls.JetObject parent, java.lang.String name)` Creates a JetBoolean instance with the normal value to be false.
`JetBoolean(jet.controls.JetObject parent, java.lang.String name, boolean thedef)` Creates a JetBoolean instance with a specified value.

Method Summary
`boolean` | `booleanValue()` Effective if `JetProperty.isCurrentAutoValue()` is false;
`boolean` | `get()` Effective if `JetProperty.isCurrentAutoValue()` is false; returns a value according to the following priority: normal value > default value.
`int` | `getInt()` Effective if `JetProperty.isCurrentAutoValue()` is false;returns an integer value according to the following priority: normal value > default value.
`int[]` | `getMatchingSqlType()` Now, this API only for designer UI : get Matching SQL Type of this property Usage in UI : list all the (normal-)formula whose data-type in returned array
`java.util.Vector` | `getPropertyChoice()` Only For Designer UI
`void` | `set(boolean value)` Sets the normal value with the boolean value.
`void` | `set(java.lang.String theval)` Sets the normal value via a string.
`void` | `setInt(int i)` Sets the value of this object via an integer.
`java.lang.String` | `toString()` Effective if `JetProperty.isCurrentAutoValue()` is false;returns a string value according to the following priority: normal value > default value.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getCurrentValue, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isCurrentAutoValue, isCurrentChangedBy, isEnableAutoValue, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setObject, setRuntimeChangeBy, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jet.convert.PropInfo
`getChangeByObjectName, getInspValue, getName, getValue, isChangeByOther, isNull, toUnitString`

Constructor Detail

### JetBoolean

    public JetBoolean()

### JetBoolean

    public JetBoolean(jet.controls.JetObject parent,
                      java.lang.String name)

  Creates a JetBoolean instance with the normal value to be false.

  Parameters:
    `parent` - Owner.
    `name` - Name.

### JetBoolean

    public JetBoolean(jet.controls.JetObject parent,
                      java.lang.String name,
                      boolean thedef)

  Creates a JetBoolean instance with a specified value.

  Parameters:
    `parent` - Owner.
    `name` - Name.
    `thedef` - The value to be set for the normal value.

Method Detail

### set

    public void set(boolean value)

  Sets the normal value with the boolean value.

  Parameters:
    `value` - Value for the boolean.
  See Also:
    `set(String)`, `setInt(int)`, `get()`, `booleanValue()`

### set

    public void set(java.lang.String theval)

  Sets the normal value via a string.

  Specified by:
    `set` in interface `jet.util.Propertiable`
  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `theval` - "true"(case sensitive) or "1" means to set it to true.
  Throws:
    `java.lang.NullPointerException` - if theval is null.
  See Also:
    `set(boolean)`, `setInt(int)`, `get()`, `booleanValue()`

### get

    public boolean get()

  Effective if `JetProperty.isCurrentAutoValue()` is false; returns a value according to the following priority: normal value > default value.

  Specified by:
    `get` in interface `jet.convert.BooleanInfo`
  Returns:
    a boolean value.
  See Also:
    `set(boolean)`, `set(String)`, `setInt(int)`, `JetProperty.isCurrentAutoValue()`

### booleanValue

    public boolean booleanValue()

  Effective if `JetProperty.isCurrentAutoValue()` is false;

  Specified by:
    `booleanValue` in interface `jet.convert.BooleanInfo`
  See Also:
    `get()`, `JetProperty.isCurrentAutoValue()`

### toString

    public java.lang.String toString()

  Effective if `JetProperty.isCurrentAutoValue()` is false;returns a string value according to the following priority: normal value > default value.

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Boolean.toString()`, `JetProperty.isCurrentAutoValue()`

### getInt

    public int getInt()

  Effective if `JetProperty.isCurrentAutoValue()` is false;returns an integer value according to the following priority: normal value > default value.

  Specified by:
    `getInt` in interface `jet.controls.Integerable`
  Specified by:
    `getInt` in interface `jet.convert.BooleanInfo`
  Returns:
    an integer value. 0 : false; 1 : true.
  See Also:
    `setInt(int)`, `set(boolean)`, `set(String)`, `get()`, `booleanValue()`, `JetProperty.isCurrentAutoValue()`

### setInt

    public void setInt(int i)

  Sets the value of this object via an integer.

  Specified by:
    `setInt` in interface `jet.controls.Integerable`
  Parameters:
    `i` - : 0 means to set it to false; others are true.
  See Also:
    `getInt()`, `get()`, `booleanValue()`, `set(boolean)`, `set(String)`

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

  Description copied from class: `JetProperty`
  Only For Designer UI

  Overrides:
    `getPropertyChoice` in class `JetProperty`
  Returns:
    property choice

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Now, this API only for designer UI : get Matching SQL Type of this property
  Usage in UI : list all the (normal-)formula whose data-type in returned array

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  See Also:
    `Db`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD